org.eclipse.cdt.core

## Class CCProjectNature

- java.lang.Object
- - org.eclipse.cdt.core.CProjectNature
  - - org.eclipse.cdt.core.CCProjectNature

All Implemented Interfaces:
  org.eclipse.core.resources.IProjectNature

    public class CCProjectNature
    extends CProjectNature

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static String` `CC_NATURE_ID`

### Fields inherited from class org.eclipse.cdt.core.CProjectNature

`C_NATURE_ID`

### Constructor Summary

Constructors
Constructor and Description
`CCProjectNature()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addCCNature(org.eclipse.core.resources.IProject project, org.eclipse.core.runtime.IProgressMonitor mon)`
`void` `configure()` Checks to ensure that a cnature already exists, if not throw a CoreException.
`static void` `removeCCNature(org.eclipse.core.resources.IProject project, org.eclipse.core.runtime.IProgressMonitor mon)`

### Methods inherited from class org.eclipse.cdt.core.CProjectNature

`addCNature, addNature, deconfigure, getProject, removeCNature, removeNature, setProject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CC_NATURE_ID

    public static final String CC_NATURE_ID

See Also:
  Constant Field Values

### Constructor Detail

#### CCProjectNature

    public CCProjectNature()

### Method Detail

#### addCCNature

    public static void addCCNature(org.eclipse.core.resources.IProject project,
                                   org.eclipse.core.runtime.IProgressMonitor mon)
                            throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### removeCCNature

    public static void removeCCNature(org.eclipse.core.resources.IProject project,
                                      org.eclipse.core.runtime.IProgressMonitor mon)
                               throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### configure

    public void configure()
                   throws org.eclipse.core.runtime.CoreException

Checks to ensure that a cnature already exists, if not throw a CoreException. Does NOT add a default builder

Specified by:
  `configure` in interface `org.eclipse.core.resources.IProjectNature`
Overrides:
  `configure` in class `CProjectNature`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  `IProjectNature.configure()`